<nav class="navbar navbar-expand-lg navbar-light bg-light bg-theme" *ngIf="loggedIn">
  <div class="container-fluid">
    <a class="navbar-brand" href="#">Resourcing</a>
    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent"
            aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
      <ul class="navbar-nav me-auto mb-2 mb-lg-0" id="main-nav">
        <li class="nav-item" id="home-li" [ngClass]="{'active': activeProfile === 'home'}">
          <a class="nav-link pointer no-link" (click)="openLink('/home', 'home')"
             routerLink="/">Home</a>
        </li>
        <li class="nav-item" id="profile-li" [ngClass]="{'active': activeProfile === 'profile'}">
          <a class="nav-link pointer no-link"
             (click)="openLink('/profile', 'profile')"
             routerLink="/profile">Profiles</a>
        </li>
        <li class="nav-item" id="associates-li" [ngClass]="{'active': activeProfile === 'associates'}" *ngIf="isAdmin">
          <a class="nav-link pointer no-link"
             (click)="openLink('/associates', 'associates')">Associates</a>
        </li>
        <li class="nav-item" id="requirements-li" [ngClass]="{'active': activeProfile === 'requirements'}" *ngIf="isAdmin">
          <a class="nav-link pointer no-link"
             (click)="openLink('/requirements', 'requirements')">Customer Requirements</a>
        </li>
        <li class="nav-item" id="admin-li" [ngClass]="{'active': activeProfile === 'admin'}" *ngIf="isAdmin">
          <a class="nav-link pointer no-link" (click)="openLink('/administration', 'admin')">Administration</a>
        </li>
      </ul>
      <!--      <div class="input-group w60">-->
      <!--        <input type="text" class="form-control" aria-label="Search" placeholder="search">-->
      <!--        <span class="input-group-text"><i class="fa fa-search" aria-hidden="true"></i></span>-->
      <!--      </div>-->
      <div *ngIf="isAdmin">
        <ul class="navbar-nav me-auto mb-2 mb-lg-0">
          <li class="nav-item dropdown">
            <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" role="button"
               data-toggle="dropdown"
               aria-haspopup="true" aria-expanded="false">
              Howdy!
            </a>
            <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
              <a class="dropdown-item pointer" type="button" (click)="profile()">My Profile</a>
              <a class="dropdown-item pointer " type="button" (click)="logout()">Logout</a>
            </div>
          </li>
        </ul>
      </div>
    </div>
  </div>
</nav>
<div class="rContent">
  <router-outlet></router-outlet>
</div>
<br/>
<br/>
<br/>
<!--<footer>-->
<!--  <div style="height: 50px;" class="row d-flex">-->
<!--    <div class="bg-blue py-2">-->
<!--      <div class="row px-3"><small class="ml-4 ml-sm-5 mb-2">Copyright &copy; 2019. All rights reserved.</small>-->
<!--        <div class="social-contact ml-4 ml-sm-auto"><span class="fa fa-facebook mr-4 text-sm"></span> <span-->
<!--          class="fa fa-google-plus mr-4 text-sm"></span> <span class="fa fa-linkedin mr-4 text-sm"></span> <span-->
<!--          class="fa fa-twitter mr-4 mr-sm-5 text-sm"></span></div>-->
<!--      </div>-->
<!--    </div>-->
<!--  </div>-->
<!--</footer>-->
